ResizeKit2

ResizeKit2 Reference

Form Resizing Component

Newtone Corporation
Honchou 2-2-15, Shangrila Honchou 1F
Nagaoka City, Niigata Prefecture
940-0076, JAPAN
Telephone: +(81)258-86-6954
Fax: +(81)258-86-6964
Attention: ResizeKit User Support
Email: rssupport@imagekit.com


Overview

The ResizeKit Control

Automatically adjusts the size of the controls and fonts displayed on the form in proportion to changes in the form size or screen resolution. The size of the form when it is initially displayed and the amount that the form can be enlarged or reduced can be set.

Simply paste the control on the form. Redesign or adding code is not necessary.

To use the ResizeKit, simply place the control on the form and recompile the program. Established programs can easily become size (and screen resolution) independent.

Simple sample programs included

The ResizeKit comes with easy to understand sample programs that illustrate how to use the control.

Supported Platforms:

Windows 11
Windows 10
Windows Server 2012
Windows 8.1
Windows 8
Windows 7
Windows Server 2008
Windows Vista
Windows Server 2003
Windows XP
Windows 2000

Although older versions of the ResizeKit2 will work in newer versions of windows, they are not supported by Embarcadero. For details, please refer to those specifications.

*1 ResizeKit2 C++ Builder XE3 or higher and ResizeKit2 Delphi XE2 editions or higher support 64 bit Windows.
*2 Windows 2000 is not supported in ResizeKit2 C++Builder XE5 editions or higher and ResizeKit2 Delphi XE5 editions or higher.
*3 Windows XP is not supported in ResizeKit2 C++Builder XE6 editions or higher and ResizeKit2 Delphi XE6 editions or higher.
*4 Windows Server 2003 is not supported in ResizeKit2 C++Builder 10 Seattle editions or higher and ResizeKit2 Delphi 10 Seattle editions or higher.
*5 Windows Vista is not supported in ResizeKit2 C++Builder 10.1 Berlin editions or higher and ResizeKit2 Delphi 10.1 Berlin editions or higher.

Supported Containers:

ResizeKit2 Version | Supported Development Container
ResizeKit2 VB | Visual Basic 5.0 SP2 and above / Visual Basic 6.0
ResizeKit2 Delphi 11 Alexandria | Delphi 11 Alexandria (Win32/64)
ResizeKit2 Delphi 10.4 Sydney | Delphi 10.4 Sydney (Win32/64)
ResizeKit2 Delphi 10.3 Rio | Delphi 10.3 Rio (Win32/64)
ResizeKit2 Delphi 10.2 Tokyo | Delphi 10.2 Tokyo (Win32/64)
ResizeKit2 Delphi 10.1 Berlin | Delphi 10.1 Berlin (Win32/64)
ResizeKit2 Delphi 10 Seattle | Delphi 10 Seattle (Win32/64)
ResizeKit2 Delphi XE8 | Delphi XE8 (Win32/64)
ResizeKit2 Delphi XE7 | Delphi XE7 (Win32/64)
ResizeKit2 Delphi XE6 | Delphi XE6 (Win32/64)
ResizeKit2 Delphi XE5 | Delphi XE5 (Win32/64)
ResizeKit2 Delphi XE4 | Delphi XE4 (Win32/64)
ResizeKit2 Delphi XE3 | Delphi XE3 (Win32/64)
ResizeKit2 Delphi XE2 | Delphi XE2 (Win32/64)
ResizeKit2 Delphi XE * | Delphi XE (Win32)
ResizeKit2 Delphi2010 * | Delphi2010 (Win32)
ResizeKit2 Delphi2009 * | Delphi2009 (Win32)
ResizeKit2 Delphi2007 * | Delphi2007 (Win32)
ResizeKit2 Delphi2005 * | Delphi2005 (Win32)
ResizeKit2 Delphi7 * | Delphi7
ResizeKit2 Delphi6 * | Delphi6
ResizeKit2 Delphi5 * | Delphi5
ResizeKit2 C++ Builder 10.3 Sydney | C++ Builder 10.3 Sydney (Win32/64)
ResizeKit2 C++ Builder 10.3 Rio | C++ Builder 10.3 Rio (Win32/64)
ResizeKit2 C++ Builder 10.2 Tokyo | C++ Builder 10.2 Tokyo (Win32/64)
ResizeKit2 C++ Builder 10.1 Berlin | C++ Builder 10.1 Berlin (Win32/64)
ResizeKit2 C++ Builder 10 Seattle | C++ Builder 10 Seattle (Win32/64)
ResizeKit2 C++ Builder XE8 | C++ Builder XE8 (Win32/64)
ResizeKit2 C++ Builder XE7 | C++ Builder XE7 (Win32/64)
ResizeKit2 C++ Builder XE6 | C++ Builder XE6 (Win32/64)
ResizeKit2 C++ Builder XE5 | C++ Builder XE5 (Win32/64)
ResizeKit2 C++ Builder XE4 | C++ Builder XE4 (Win32/64)
ResizeKit2 C++ Builder XE3 | C++ Builder XE3 (Win32/64)
ResizeKit2 C++ Builder XE2 | C++ Builder XE2 (Win32)
ResizeKit2 C++ Builder XE * | C++ Builder XE (Win32)
ResizeKit2 C++ Builder2010 * | C++ Builder2010 (Win32)
ResizeKit2 C++ Builder2009 * | C++ Builder2009 (Win32)
ResizeKit2 C++ Builder2007 * | C++ Builder2007 (Win32)
ResizeKit2 C++ Builder6 * | C++ Builder6
ResizeKit2 C++ Builder5 * | C++ Builder5
ResizeKit2 BDS2006 * | Borland Developer Studio 2006 (Win32)
ResizeKit2 RAD Studio 10.4 Sydney Includes both ResizeKit2 C++Builder 10.4 Sydney and ResizeKit2 Delphi 10.4 Sydney | RAD Studio 10.4 Sydney (C++Builder 10.4 Sydney - Win32/64) / (Delphi 10.4 Sydney - Win32/64)
ResizeKit2 RAD Studio 10.3 Rio Includes both ResizeKit2 C++Builder 10.3 Rio and ResizeKit2 Delphi 10.3 Rio | RAD Studio 10.3 Rio (C++Builder 10.3 Rio - Win32/64) / (Delphi 10.3 Rio - Win32/64)
ResizeKit2 RAD Studio 10.2 Tokyo Includes both ResizeKit2 C++Builder 10.2 Tokyo and ResizeKit2 Delphi 10.2 Tokyo | RAD Studio 10.2 Tokyo (C++Builder 10.2 Tokyo - Win32/64) / (Delphi 10.2 Tokyo - Win32/64)
ResizeKit2 RAD Studio 10.1 Berlin Includes both ResizeKit2 C++Builder 10.1 Berlin and ResizeKit2 Delphi 10.1 Berlin | RAD Studio 10.1 Berlin (C++Builder 10.1 Berlin - Win32/64) / (Delphi 10.1 Berlin - Win32/64)
ResizeKit2 RAD Studio 10 Seattle Includes both ResizeKit2 C++Builder 10 Seattle and ResizeKit2 Delphi 10 Seattle | RAD Studio 10 Seattle (C++Builder 10 Seattle - Win32/64) / (Delphi 10 Seattle - Win32/64)
ResizeKit2 RAD Studio XE8 Includes both ResizeKit2 C++Builder XE8 and ResizeKit2 Delphi XE8 | RAD Studio XE8 (C++Builder XE8 - Win32/64) / (Delphi XE8 - Win32/64)
ResizeKit2 RAD Studio XE7 Includes both ResizeKit2 C++Builder XE7 and ResizeKit2 Delphi XE7 | RAD Studio XE7 (C++Builder XE7 - Win32/64) / (Delphi XE7 - Win32/64)
ResizeKit2 RAD Studio XE6 Includes both ResizeKit2 C++Builder XE6 and ResizeKit2 Delphi XE6 | RAD Studio XE6 (C++Builder XE6 - Win32/64) / (Delphi XE6 - Win32/64)
ResizeKit2 RAD Studio XE5 Includes both ResizeKit2 C++Builder XE5 and ResizeKit2 Delphi XE5 | RAD Studio XE5 (C++Builder XE5 - Win32/64) / (Delphi XE5 - Win32/64)
ResizeKit2 RAD Studio XE4 Includes both ResizeKit2 C++Builder XE4 and ResizeKit2 Delphi XE4 | RAD Studio XE4 (C++Builder XE4 - Win32/64) / (Delphi XE4 - Win32/64)
ResizeKit2 RAD Studio XE3 Includes both ResizeKit2 C++Builder XE3 and ResizeKit2 Delphi XE3 | RAD Studio XE3 (C++Builder XE3 - Win32/64) / (Delphi XE3 - Win32/64)
ResizeKit2 RAD Studio XE2 Includes both ResizeKit2 C++Builder XE2 and ResizeKit2 Delphi XE2 | RAD Studio XE2 (C++Builder XE2 - Win32) / (Delphi XE2 - Win32/64)

* ResizeKit2 Editions older than XE2 have been discontinued.


Setup for ResizeKit2 Delphi Editions

Installation Instructions for ResizeKit2 Delphi Editions

Delphi editions include:

ResizeKit2 Delphi 11 Alexandria, ResizeKit2 Delphi 10.4 Sydney, ResizeKit2 Delphi 10.3 Rio, ResizeKit2 Delphi 10.2 Tokyo, ResizeKit2 Delphi 10.1 Berlin, ResizeKit2 Delphi 10 Seattle, ResizeKit2 DelphiXE8, ResizeKit2 DelphiXE7, ResizeKit2 DelphiXE6, ResizeKit2 DelphiXE5, ResizeKit2 DelphiXE4, ResizeKit2 DelphiXE3, ResizeKit2 DelphiXE2, ResizeKit2 DelphiXE, ResizeKit2 Delphi2010, ResizeKit2 Delphi2009, ResizeKit2 Delphi2007, ResizeKit2 Delphi7, ResizeKit2 Delphi6, ResizeKit2 Delphi5

* ResizeKit2 Editions for DelphiXE or older have been discontinued.

Folder Structure

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

Delhi ? (where ? is the Delphi version number)
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPL, DCU, and DCP files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 Delphi 11 Alexandria

1. Copy the ResizeKitPKD28.bpl from the ResizeKit2\Delphi11Alexandria\Product\Win32 folder into the Delphi 11 Alexandria Bin folder. Copy the other files from the ResizeKit2\Delphi11Alexandria\Product\Win32 folder into the Delphi 11 Alexandria lib\win32\release folder. Also, copy the ResizeKitPKD28.bpl from the ResizeKit2\Delphi11Alexandria\Product\Win64 folder into the Delphi 11 Alexandria Bin64 folder. Copy the other files from the ResizeKit2\Delphi11Alexandria\Product\Win64 folder into the Delphi 11Alexandria lib\win64\release folder.
2. Run Delphi 11 Alexandria and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD28.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi 10.4 Sydney

1. Copy the ResizeKitPKD27.bpl from the ResizeKit2\Delphi10_4Sydney\Product\Win32 folder into the Delphi 10.4 Sydney Bin folder. Copy the other files from the ResizeKit2\Delphi10_4Sydney\Product\Win32 folder into the Delphi 10.4 Sydney lib\win32\release folder. Also, copy the ResizeKitPKD27.bpl from the ResizeKit2\Delphi10_4Sydney\Product\Win64 folder into the Delphi 10.4 Sydney Bin64 folder. Copy the other files from the ResizeKit2\Delphi10_4Sydney\Product\Win64 folder into the Delphi 10.4 Sydney lib\win64\release folder.
2. Run Delphi 10.4 Sydney and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD27.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi 10.3 Rio

1. Copy the ResizeKitPKD26.bpl from the ResizeKit2\Delphi10_3Rio\Product\Win32 folder into the Delphi 10.3 Rio Bin folder. Copy the other files from the ResizeKit2\Delphi10_3Rio\Product\Win32 folder into the Delphi 10.3 Rio lib\win32\release folder. Also, copy the ResizeKitPKD26.bpl from the ResizeKit2\Delphi10_3Rio\Product\Win64 folder into the Delphi 10.3 Rio Bin64 folder. Copy the other files from the ResizeKit2\Delphi10_3Rio\Product\Win64 folder into the Delphi 10.3 Rio lib\win64\release folder.
2. Run Delphi 10.3 Rio and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD26.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi 10.3 Tokyo

1. Copy the ResizeKitPKD25.bpl from the ResizeKit2\Delphi10_2Tokyo\Product\Win32 folder into the Delphi 10.2 Tokyo Bin folder. Copy the other files from the ResizeKit2\Delphi10_2Tokyo\Product\Win32 folder into the Delphi 10.2 Tokyo lib\win32\release folder. Also, copy the ResizeKitPKD25.bpl from the ResizeKit2\Delphi10_2Tokyo\Product\Win64 folder into the Delphi 10.2 Tokyo Bin64 folder. Copy the other files from the ResizeKit2\Delphi10_2Tokyo\Product\Win64 folder into the Delphi 10.2 Tokyo lib\win64\release folder.
2. Run Delphi 10.2 Tokyo and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD25.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi 10.1 Berlin

1. Copy the ResizeKitPKD24.bpl from the ResizeKit2\Delphi10_1Berlin\Product\Win32 folder into the Delphi 10.1 Berlin Bin folder. Copy the other files from the ResizeKit2\Delphi10_1Berlin\Product\Win32 folder into the Delphi 10.1 Berlin lib\win32\release folder. Also, copy the ResizeKitPKD24.bpl from the ResizeKit2\Delphi10_1Berlin\Product\Win64 folder into the Delphi 10.1 Berlin Bin64 folder. Copy the other files from the ResizeKit2\Delphi10_1Berlin\Product\Win64 folder into the Delphi 10.1 Berlin lib\win64\release folder.
2. Run Delphi 10.1 Berlin and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD24.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi 10 Seattle

1. Copy the ResizeKitPKD23.bpl from the ResizeKit2\Delphi10Seattle\Product\Win32 folder into the Delphi 10 Seattle Bin folder. Copy the other files from the ResizeKit2\Delphi10Seattle\Product\Win32 folder into the Delphi 10 Seattle lib\win32\release folder. Also, copy the ResizeKitPKD23.bpl from the ResizeKit2\Delphi10Seattle\Product\Win64 folder into the Delphi 10 Seattle Bin64 folder. Copy the other files from the ResizeKit2\Delphi10Seattle\Product\Win64 folder into the Delphi 10 Seattle lib\win64\release folder.
2. Run Delphi 10 Seattle and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD23.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE8

1. Copy the ResizeKitPKD22.bpl from the ResizeKit2\DelphiXE8\Product\Win32 folder into the DelphiXE8 Bin folder. Copy the other files from the ResizeKit2\DelphiXE8\Product\Win32 folder into the DelphiXE8 lib\win32\release folder. Also, copy the ResizeKitPKD22.bpl from the ResizeKit2\DelphiXE8\Product\Win64 folder into the DelphiXE8 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE8\Product\Win64 folder into the DelphiXE8 lib\win64\release folder.
2. Run DelphiXE8 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD22.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE7

1. Copy the ResizeKitPKD21.bpl from the ResizeKit2\DelphiXE7\Product\Win32 folder into the DelphiXE7 Bin folder. Copy the other files from the ResizeKit2\DelphiXE7\Product\Win32 folder into the DelphiXE7 lib\win32\release folder. Also, copy the ResizeKitPKD21.bpl from the ResizeKit2\DelphiXE7\Product\Win64 folder into the DelphiXE7 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE7\Product\Win64 folder into the DelphiXE7 lib\win64\release folder.
2. Run DelphiXE7 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD21.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE6

1. Copy the ResizeKitPKD20.bpl from the ResizeKit2\DelphiXE6\Product\Win32 folder into the DelphiXE6 Bin folder. Copy the other files from the ResizeKit2\DelphiXE6\Product\Win32 folder into the DelphiXE6 lib\win32\release folder. Also, copy the ResizeKitPKD20.bpl from the ResizeKit2\DelphiXE6\Product\Win64 folder into the DelphiXE6 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE6\Product\Win64 folder into the DelphiXE6 lib\win64\release folder.
2. Run DelphiXE6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD20.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE5

1. Copy the ResizeKitPKD19.bpl from the ResizeKit2\DelphiXE5\Product\Win32 folder into the DelphiXE5 Bin folder. Copy the other files from the ResizeKit2\DelphiXE5\Product\Win32 folder into the DelphiXE5 lib\win32\release folder. Also, copy the ResizeKitPKD19.bpl from the ResizeKit2\DelphiXE5\Product\Win64 folder into the DelphiXE5 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE5\Product\Win64 folder into the DelphiXE5 lib\win64\release folder.
2. Run DelphiXE5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD19.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE4

1. Copy the ResizeKitPKD18.bpl from the ResizeKit2\DelphiXE4\Product\Win32 folder into the DelphiXE4 Bin folder. Copy the other files from the ResizeKit2\DelphiXE4\Product\Win32 folder into the DelphiXE4 lib\win32\release folder. Also, copy the ResizeKitPKD18.bpl from the ResizeKit2\DelphiXE4\Product\Win64 folder into the DelphiXE4 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE4\Product\Win64 folder into the DelphiXE4 lib\win64\release folder.
2. Run DelphiXE4 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD18.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE3

1. Copy the ResizeKitPKD17.bpl from the ResizeKit2\DelphiXE3\Product\Win32 folder into the DelphiXE3 Bin folder. Copy the other files from the ResizeKit2\DelphiXE3\Product\Win32 folder into the DelphiXE3 lib\win32\release folder. Also, copy the ResizeKitPKD17.bpl from the ResizeKit2\DelphiXE3\Product\Win64 folder into the DelphiXE3 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE3\Product\Win64 folder into the DelphiXE3 lib\win64\release folder.
2. Run DelphiXE3 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD17.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE2

1. Copy the ResizeKitPKD16.bpl from the ResizeKit2\DelphiXE2\Product\Win32 folder into the DelphiXE2 Bin folder. Copy the other files from the ResizeKit2\DelphiXE2\Product\Win32 folder into the DelphiXE2 lib\win32\release folder. Also, copy the ResizeKitPKD16.bpl from the ResizeKit2\DelphiXE2\Product\Win64 folder into the DelphiXE2 Bin64 folder. Copy the other files from the ResizeKit2\DelphiXE2\Product\Win64 folder into the DelphiXE2 lib\win64\release folder.
2. Run DelphiXE2 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD16.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi XE

1. Copy the ResizeKitPKD15.bpl from the ResizeKit2\DelphiXE\Product folder into the DelphiXE Bin folder. Copy the other files from the ResizeKit2\DelphiXE\Product folder into the DelphiXE Lib Folder
2. Run DelphiXE and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD15.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi2010

1. Copy the ResizeKitPKD14.bpl from the ResizeKit2\Delphi2010\Product folder into the Delphi2010 Bin folder. Copy the other files from the ResizeKit2\Delphi2010\Product folder into the Delphi2010 Lib Folder
2. Run Delphi2010 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD14.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi2009

1. Copy the ResizeKitPKD12.bpl from the ResizeKit2\Delphi2009\Product folder into the Delphi2009 Bin folder. Copy the other files from the ResizeKit2\Delphi2009\Product folder into the Delphi2009 Lib Folder
2. Run Delphi2009 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD12.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi2007

1. Copy the ResizeKitPKD11.bpl from the ResizeKit2\Delphi2007\Product folder into the Delphi2007 Bin folder. Copy the other files from the ResizeKit2\Delphi2007\Product folder into the Delphi2007 Lib Folder
2. Run Delphi2007 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD11.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi2005

1. Copy the ResizeKitPKD9.bpl from the ResizeKit2\Delphi2005\Product folder into the Delphi2005 Bin folder. Copy the other files from the ResizeKit2\Delphi2005\Product folder into the Delphi2005 Lib Folder
2. Run Delphi2005 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD9.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi7

1. Copy the ResizeKitPKD7.bpl from the ResizeKit2\Delphi7\Product folder into the Delphi7 Bin folder. Copy the other files from the ResizeKit2\Delphi7\Product folder into the Delphi7 Lib Folder
2. Run Delphi7 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD7.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi6

1. Copy the ResizeKitPKD6.bpl from the ResizeKit2\Delphi6\Product folder into the Delphi6 Bin folder. Copy the other files from the ResizeKit2\Delphi6\Product folder into the Delphi6 Lib Folder
2. Run Delphi6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD6.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 Delphi5

1. Copy the ResizeKitPKD5.bpl from the ResizeKit2\Delphi5\Product folder into the Delphi5 Bin folder. Copy the other files from the ResizeKit2\Delphi5\Product folder into the Delphi5 Lib Folder
2. Run Delphi5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD5.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under following enviroments:

Delphi 11 Alexandria: No Patch
Delphi 10.4 Sydney: Update 2
Delphi 10.3 Rio: Update 3
Delphi 10.2 Tokyo: Update 3
Delphi 10.1 Berlin: Update 2
Delphi 10 Seattle: Subscription Update 1
DelphiXE8: Subscription Update 1
DelphiXE7: Update 1
DelphiXE6: Update 1
DelphiXE5: Update 2 Hotfix 5
DelphiXE4: Update 1
DelphiXE3: Update 2
DelphiXE2: Update 4 Hotfix 1
DelphiXE: Update 1
Delphi2010: Update 5
Delphi2009: Update 4
Delphi2007: December 2007 Update
Delphi2005: Update 3
Delphi7: Update 1
Delphi6: Update Pack 2 + RTL #3
Delphi5: Update Pack 1


Setup for ResizeKit2 C++Builder Editions

Installation Instructions for ResizeKit2 C++Builder Editions

C++Builder editions include:

ResizeKit2 C++Builder 11 Alexandria, ResizeKit2 C++Builder 10.4 Sydney, ResizeKit2 C++Builder 10.3 Rio, ResizeKit2 C++Builder 10.2 Tokyo, ResizeKit2 C++Builder 10.1 Berlin, ResizeKit2 C++Builder 10 Seattle, ResizeKit2 C++BuilderXE8, ResizeKit2 C++BuilderXE7, ResizeKit2 C++BuilderXE6, ResizeKit2 C++BuilderXE5, ResizeKit2 C++BuilderXE4, ResizeKit2 C++BuilderXE3, ResizeKit2 C++BuilderXE2, ResizeKit2 C++BuilderXE, ResizeKit2 C++Builder2010, ResizeKit2 C++Builder2009, ResizeKit2 C++Builder2007, ResizeKit2 C++Builder6, ResizeKit2 C++Builder5

* ResizeKit2 Editions for C++BuilderXE or older have been discontinued.

Folder Structure

After downloading the ResizeKit2 and unzipping the downloaded file, you will find the following folders:

CBuilder ? (where ? is the C++Builder version number)
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 C++Builder 11 Alexandria

1. Copy the ResizeKitPKD28.bpl from the downloaded CBuilder11Alexandria\Product\Win32 folder into the C++Builder 11 Alexandria Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder11Alexandria\Product\Include folder into the C++Builder 11 Alexandria Include\windows\vcl folder. Copy the other files from the downloaded CBuilder11Alexandria\Product \Win32 folder into the C++Builder 11 Alexandria Lib\win32\release folder. Also copy the ResizeKitPKD28.bpl into the CBuilder 11 Alexandria Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++Builder 11 Alexandria and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD28.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder 10.4 Sydney

1. Copy the ResizeKitPKD27.bpl from the downloaded CBuilder10_4Sydney\Product\Win32 folder into the C++Builder 10.4 Sydney Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder10_4Sydney\Product\Include folder into the C++Builder 10.4 Sydney Include\windows\vcl folder. Copy the other files from the downloaded CBuilder10_4Sydney\Product \Win32 folder into the C++Builder 10.4 Sydney Lib\win32\release Folder. Also copy the ResizeKitPKD27.bpl into the CBuilder 10.4 Sydney Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++Builder 10.4 Sydney and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD27.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder 10.3 Rio

1. Copy the ResizeKitPKD26.bpl from the downloaded CBuilder10_3Rio\Product\Win32 folder into the C++Builder 10.3 Rio Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder10_3Rio\Product\Include folder into the C++Builder 10.3 Rio Include\windows\vcl folder. Copy the other files from the downloaded CBuilder10_3Rio\Product \Win32 folder into the C++Builder 10.3 Rio Lib\win32\release Folder. Also copy the ResizeKitPKD26.bpl into the CBuilder 10.3 Rio Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++Builder 10.3 Rio and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD26.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder 10.2 Tokyo

1. Copy the ResizeKitPKD25.bpl from the downloaded CBuilder10_2Tokyo\Product\Win32 folder into the C++Builder 10.2 Tokyo Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder10_2Tokyo\Product\Include folder into the C++Builder 10.2 Tokyo Include\windows\vcl folder. Copy the other files from the downloaded CBuilder10_2Tokyo\Product \Win32 folder into the C++Builder 10.2 Tokyo Lib\win32\release Folder. Also copy the ResizeKitPKD25.bpl into the CBuilder 10.2 Tokyo Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++Builder 10.2 Tokyo and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD25.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder 10.1 Berlin

1. Copy the ResizeKitPKD24.bpl from the downloaded CBuilder10_1Berlin\Product\Win32 folder into the C++Builder 10.1 Berlin Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder10_1Berlin\Product\Include folder into the C++Builder 10.1 Berlin Include\windows\vcl folder. Copy the other files from the downloaded CBuilder10_1Berlin\Product \Win32 folder into the C++Builder 10.1 Berlin Lib\win32\release Folder. Also copy the ResizeKitPKD24.bpl into the CBuilder 10.1 Berlin Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++Builder 10.1 Berlin and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD24.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder 10 Seattle

1. Copy the ResizeKitPKD23.bpl from the downloaded CBuilder10Seattle\Product\Win32 folder into the C++Builder 10 Seattle Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder10Seattle\Product\Include folder into the C++Builder 10 Seattle Include\windows\vcl folder. Copy the other files from the downloaded CBuilder10Seattle\Product \Win32 folder into the C++Builder 10 Seattle Lib\win32\release Folder. Also copy the ResizeKitPKD23.bpl into the CBuilder 10 Seattle Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++Builder 10 Seattle and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD23.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE8

1. Copy the ResizeKitPKD22.bpl from the downloaded CBuilderXE8\Product\Win32 folder into the C++BuilderXE8 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE8\Product\Include folder into the C++BuilderXE8 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE8\Product \Win32 folder into the C++BuilderXE8 Lib\win32\release Folder. Also copy the ResizeKitPKD22.bpl into the CBuilder XE8 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE8 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD22.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE7

1. Copy the ResizeKitPKD21.bpl from the downloaded CBuilderXE7\Product\Win32 folder into the C++BuilderXE7 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE7\Product\Include folder into the C++BuilderXE7 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE7\Product \Win32 folder into the C++BuilderXE7 Lib\win32\release Folder. Also copy the ResizeKitPKD21.bpl into the CBuilder XE7 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE7 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD21.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE6

1. Copy the ResizeKitPKD20.bpl from the downloaded CBuilderXE6\Product\Win32 folder into the C++BuilderXE6 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE6\Product\Include folder into the C++BuilderXE6 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE6\Product \Win32 folder into the C++BuilderXE6 Lib\win32\release Folder. Also copy the ResizeKitPKD20.bpl into the CBuilder XE6 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD20.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE5

1. Copy the ResizeKitPKD19.bpl from the downloaded CBuilderXE5\Product\Win32 folder into the C++BuilderXE5 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE5\Product\Include folder into the C++BuilderXE5 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE5\Product \Win32 folder into the C++BuilderXE5 Lib\win32\release Folder. Also copy the ResizeKitPKD19.bpl into the CBuilder XE5 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD19.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE4

1. Copy the ResizeKitPKD18.bpl from the downloaded CBuilderXE4\Product\Win32 folder into the C++BuilderXE4 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE4\Product\Include folder into the C++BuilderXE4 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE4\Product \Win32 folder into the C++BuilderXE4 Lib\win32\release Folder. Also copy the ResizeKitPKD18.bpl into the CBuilder XE4 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE4 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD18.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE3

1. Copy the ResizeKitPKD17.bpl from the downloaded CBuilderXE3\Product\Win32 folder into the C++BuilderXE3 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE3\Product\Include folder into the C++BuilderXE3 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE3\Product \Win32 folder into the C++BuilderXE3 Lib\win32\release Folder. Also copy the ResizeKitPKD17.bpl into the CBuilder XE3 Bin64 folder and the other files into the lib\win64\release folder.
2. Run C++BuilderXE3 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD17.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE2

1. Copy the ResizeKitPKD16.bpl from the downloaded CBuilderXE2\Product folder into the C++BuilderXE2 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE2\Product folder into the C++BuilderXE2 Include\windows\vcl folder. Copy the other files from the downloaded CBuilderXE2\Product folder into the C++BuilderXE2 Lib\win32\release Folder
2. Run C++BuilderXE2 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD16.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder XE

1. Copy the ResizeKitPKD15.bpl from the downloaded CBuilderXE\Product folder into the C++BuilderXE Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilderXE\Product folder into the C++BuilderXE Include folder. Copy the other files from the downloaded CBuilderXE\Product folder into the C++BuilderXE Lib Folder
2. Run C++BuilderXE and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD15.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder2010

1. Copy the ResizeKitPKD14.bpl from the downloaded CBuilder2010\Product folder into the C++Builder2010 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder2010\Product folder into the C++Builder2010 Include folder. Copy the other files from the downloaded CBuilder2010\Product folder into the C++Builder2010 Lib Folder
2. Run C++Builder2010 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD14.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder2009

1. Copy the ResizeKitPKD12.bpl from the downloaded CBuilder2009\Product folder into the C++Builder2009 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder2009\Product folder into the C++Builder2009 Include folder. Copy the other files from the downloaded CBuilder2009\Product folder into the C++Builder2009 Lib Folder
2. Run C++Builder2009 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD12.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder2007

1. Copy the ResizeKitPKD11.bpl from the downloaded CBuilder2007\Product folder into the C++Builder2007 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder2007\Product folder into the C++Builder2007 Include folder. Copy the other files from the downloaded CBuilder2007\Product folder into the C++Builder2007 Lib Folder
2. Run C++Builder2007 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKD11.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder6

1. Copy the ResizeKitPKB6.bpl from the downloaded CBuilder6\Product folder into the C++Builder6 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder6\Product folder into the C++Builder6 Include folder. Copy the other files from the downloaded CBuilder6\Product folder into the C++Builder6 Lib Folder
2. Run C++Builder6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB6.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

For ResizeKit2 C++Builder5

1. Copy the ResizeKitPKB5.bpl from the downloaded CBuilder5\Product folder into the C++Builder5 Bin folder. Copy the ResizeKit.hpp file from the downloaded CBuilder5\Product folder into the C++Builder5 Include folder. Copy the other files from the downloaded CBuilder5\Product folder into the C++Builder5 Lib Folder
2. Run C++Builder5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB5.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under following enviroments:

C++Builder 11 Alexandria: No Patch
C++Builder 10.4 Sydney: Update 2
C++Builder 10.3 Rio: Update 3
C++Builder 10.2 Tokyo: Update 3
C++Builder 10.1 Berlin: Update 2
C++Builder 10 Seattle: Subscription Update 1
C++BuilderXE8: Subscription Update 1
C++BuilderXE7: Update 1
C++BuilderXE6: Update 1
C++BuilderXE5: Update 2 Hotfix 5
C++BuilderXE4: Update 1
C++BuilderXE3: Update 2
C++BuilderXE2: Update 4 Hotfix 1
C++BuilderXE: Update 1
C++Builder2010: Update 5
C++Builder2009: Update 4
C++Builder2007: December 2007 Update
C++Builder6: Update Pack 4
C++Builder5: No Update


Setup for ResizeKit2 RAD Studio and BDS 2006 Editions

Installation Instructions for ResizeKit2 RAD Studio and Borland Developer Studio Editions

RAD Studio editions include: ResizeKit2 RAD 11 Alexandria, ResizeKit2 RAD 10.4 Sydney, ResizeKit2 RAD 10.3 Rio, ResizeKit2 RAD 10.2 Tokyo, ResizeKit2 RAD 10.1 Berlin, ResizeKit2 RAD 10 Seattle, ResizeKit2 RAD XE8, ResizeKit2 RAD XE7, ResizeKit2 RAD XE6, ResizeKit2 RAD XE5, ResizeKit2 RAD XE4, ResizeKit2 RAD XE3, ResizeKit2 RAD XE2

Borland Developer Studio: ResizeKit2 BDS 2006

* ResizeKit2 BDS 2006 Edition has been discontinued.

ResizeKit2 RAD Studio 10.4 Sydney

Folder Structure

After downloading the ResizeKit2 RAD Studio 10.4 Sydney and unzipping the downloaded file, you will find the following folders:

RADStudio 11 Alexandria
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio 11 Alexandria

1. Copy the ResizeKitPKD28.bpl from the downloaded RADStudio11Alexandria\Product\Win32 folder into the RAD Studio 11 Alexandria Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudio11Alexandria\Product\Include folder into the RAD Studio 11 Alexandria Include\windows\vcl folder. Copy the other files from the downloaded RADStudio11Alexandria\Product\Win32 folder into the RAD Studio 11 Alexandria Lib\win32\release folder. Copy the ResizeKitPKD28.bpl from the downloaded RADStudio11Alexandria\Product\Win64 folder into the RAD Studio 11 Alexandria Bin64 folder. Copy the other files from the downloaded RADStudio11Alexandria\Product\Win64 into the RAD Studio 11 Alexandria Lib\win64\release folder.
2. Run RAD Studio 11 Alexandria and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB28.bpl in the RAD Studio 11 Alexandria bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio 11 (No Patch)

RADStudio 10.4 Sydney
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio 10.4 Sydney

1. Copy the ResizeKitPKD27.bpl from the downloaded RADStudio10_4Sydney\Product\Win32 folder into the RAD Studio 10.4 Sydney Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudio10_4Sydney\Product\Include folder into the RAD Studio 10.4 Sydney Include\windows\vcl folder. Copy the other files from the downloaded RADStudio10_4Sydney\Product\Win32 folder into the RAD Studio 10.4 Sydney Lib\win32\release folder. Copy the ResizeKitPKD27.bpl from the downloaded RADStudio10_4Sydney\Product\Win64 folder into the RAD Studio 10.4 Sydney Bin64 folder. Copy the other files from the downloaded RADStudio10_4Sydney\Product\Win64 into the RAD Studio 10.4 Sydney Lib\win64\release folder.
2. Run RAD Studio 10.4 Sydney and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB27.bpl in the RAD Studio 10.4 Sydney bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio 10.4 Sydney (Update 2)

ResizeKit2 RAD Studio 10.3 Rio

Folder Structure

After downloading the ResizeKit2 RAD Studio 10.3 Rio and unzipping the downloaded file, you will find the following folders:

RADStudio 10.3 Rio
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio 10.3 Rio

1. Copy the ResizeKitPKD26.bpl from the downloaded RADStudio10_3Rio\Product\Win32 folder into the RAD Studio 10.3 Rio Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudio10_3Rio\Product\Include folder into the RAD Studio 10.3 Rio Include\windows\vcl folder. Copy the other files from the downloaded RADStudio10_3Rio\Product\Win32 folder into the RAD Studio 10.3 Rio Lib\win32\release folder. Copy the ResizeKitPKD26.bpl from the downloaded RADStudio10_3Rio\Product\Win64 folder into the RAD Studio 10.3 Rio Bin64 folder. Copy the other files from the downloaded RADStudio10_3Rio\Product\Win64 into the RAD Studio 10.3 Rio Lib\win64\release folder.
2. Run RAD Studio 10.3 Rio and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB26.bpl in the RAD Studio 10.3 Rio bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio 10.3 Rio (Update 3)

ResizeKit2 RAD Studio 10.2 Tokyo

Folder Structure

After downloading the ResizeKit2 RAD Studio 10.2 Tokyo and unzipping the downloaded file, you will find the following folders:

RADStudio 10.2 Tokyo
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio 10.2 Tokyo

1. Copy the ResizeKitPKD25.bpl from the downloaded RADStudio10_2Tokyo\Product\Win32 folder into the RAD Studio 10.2 Tokyo Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudio10_2Tokyo\Product\Include folder into the RAD Studio 10.2 Tokyo Include\windows\vcl folder. Copy the other files from the downloaded RADStudio10_2Tokyo\Product\Win32 folder into the RAD Studio 10.2 Tokyo Lib\win32\release folder. Copy the ResizeKitPKD25.bpl from the downloaded RADStudio10_2Tokyo\Product\Win64 folder into the RAD Studio 10.2 Tokyo Bin64 folder. Copy the other files from the downloaded RADStudio10_2Tokyo\Product\Win64 into the RAD Studio 10.2 Tokyo Lib\win64\release folder.
2. Run RAD Studio 10.2 Tokyo and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB25.bpl in the RAD Studio 10.2 Tokyo bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio 10.2 Tokyo Update 3

ResizeKit2 RAD Studio 10.1 Berlin

Folder Structure

After downloading the ResizeKit2 RAD Studio 10.1 Berlin and unzipping the downloaded file, you will find the following folders:

RADStudio 10.1 Berlin
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio 10.1 Berlin

1. Copy the ResizeKitPKD24.bpl from the downloaded RADStudio10_1Berlin\Product\Win32 folder into the RAD Studio 10.1 Berlin Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudio10_1Berlin\Product\Include folder into the RAD Studio 10.1 Berlin Include\windows\vcl folder. Copy the other files from the downloaded RADStudio10_1Berlin\Product\Win32 folder into the RAD Studio 10.1 Berlin Lib\win32\release folder. Copy the ResizeKitPKD24.bpl from the downloaded RADStudio10_1Berlin\Product\Win64 folder into the RAD Studio 10.1 Berlin Bin64 folder. Copy the other files from the downloaded RADStudio10_1Berlin\Product\Win64 into the RAD Studio 10.1 Berlin Lib\win64\release folder.
2. Run RAD Studio 10.1 Berlin and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB24.bpl in the RAD Studio 10.1 Berlin bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio 10.1 Berlin Update 2

ResizeKit2 RAD Studio 10 Seattle

Folder Structure

After downloading the ResizeKit2 RAD Studio 10 Seattle and unzipping the downloaded file, you will find the following folders:

RADStudio 10 Seattle
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio 10 Seattle

1. Copy the ResizeKitPKD23.bpl from the downloaded RADStudio10Seattle\Product\Win32 folder into the RAD Studio 10 Seattle Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudio10Seattle\Product\Include folder into the RAD Studio 10 Seattle Include\windows\vcl folder. Copy the other files from the downloaded RADStudio10Seattle\Product\Win32 folder into the RAD Studio 10 Seattle Lib\win32\release folder. Copy the ResizeKitPKD23.bpl from the downloaded RADStudio10Seattle\Product\Win64 folder into the RAD Studio 10 Seattle Bin64 folder. Copy the other files from the downloaded RADStudio10Seattle\Product\Win64 into the RAD Studio 10 Seattle Lib\win64\release folder.
2. Run RAD Studio 10 Seattle and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB23.bpl in the RAD Studio 10 Seattle bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio 10 Seattle Subscription Update 1.

ResizeKit2 RAD Studio XE8

Folder Structure

After downloading the ResizeKit2 RAD Studio XE8 and unzipping the downloaded file, you will find the following folders:

RADStudioXE8
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE8

1. Copy the ResizeKitPKD22.bpl from the downloaded RADStudioXE8\Product\Win32 folder into the RAD Studio XE8 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE8\Product\Include folder into the RAD Studio XE8 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE8\Product\Win32 folder into the RAD Studio XE8 Lib\win32\release folder. Copy the ResizeKitPKD22.bpl from the downloaded RADStudioXE8\Product\Win64 folder into the RAD Studio XE8 Bin64 folder. Copy the other files from the downloaded RADStudioXE8\Product\Win64 into the RAD Studio XE8 Lib\win64\release folder.
2. Run RAD Studio XE8 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB22.bpl in the RAD Studio XE8 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE8 using Subscription Update 1.

ResizeKit2 RAD Studio XE7

Folder Structure

After downloading the ResizeKit2 RAD Studio XE7 and unzipping the downloaded file, you will find the following folders:

RADStudioXE7
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE7

1. Copy the ResizeKitPKD21.bpl from the downloaded RADStudioXE7\Product\Win32 folder into the RAD Studio XE7 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE7\Product\Include folder into the RAD Studio XE7 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE7\Product\Win32 folder into the RAD Studio XE7 Lib\win32\release folder. Copy the ResizeKitPKD21.bpl from the downloaded RADStudioXE7\Product\Win64 folder into the RAD Studio XE7 Bin64 folder. Copy the other files from the downloaded RADStudioXE7\Product\Win64 into the RAD Studio XE7 Lib\win64\release folder.
2. Run RAD Studio XE7 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB21.bpl in the RAD Studio XE7 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE7 using Update 1.

ResizeKit2 RAD Studio XE6

Folder Structure

After downloading the ResizeKit2 RAD Studio XE6 and unzipping the downloaded file, you will find the following folders:

RADStudioXE6
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE6

1. Copy the ResizeKitPKD20.bpl from the downloaded RADStudioXE6\Product\Win32 folder into the RAD Studio XE6 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE6\Product\Include folder into the RAD Studio XE6 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE6\Product\Win32 folder into the RAD Studio XE6 Lib\win32\release folder. Copy the ResizeKitPKD20.bpl from the downloaded RADStudioXE6\Product\Win64 folder into the RAD Studio XE6 Bin64 folder. Copy the other files from the downloaded RADStudioXE6\Product\Win64 into the RAD Studio XE6 Lib\win64\release folder.
2. Run RAD Studio XE6 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB20.bpl in the RAD Studio XE6 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE6 using Update 1.

ResizeKit2 RAD Studio XE5

Folder Structure

After downloading the ResizeKit2 RAD Studio XE5 and unzipping the downloaded file, you will find the following folders:

RADStudioXE5
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE5

1. Copy the ResizeKitPKD19.bpl from the downloaded RADStudioXE5\Product\Win32 folder into the RAD Studio XE5 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE5\Product\Include folder into the RAD Studio XE5 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE5\Product\Win32 folder into the RAD Studio XE5 Lib\win32\release folder. Copy the ResizeKitPKD19.bpl from the downloaded RADStudioXE5\Product\Win64 folder into the RAD Studio XE5 Bin64 folder. Copy the other files from the downloaded RADStudioXE5\Product\Win64 into the RAD Studio XE5 Lib\win64\release folder.
2. Run RAD Studio XE5 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB19.bpl in the RAD Studio XE5 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE5 using Update 2 Hotfix 5.

ResizeKit2 RAD Studio XE4

Folder Structure

After downloading the ResizeKit2 RAD Studio XE4 and unzipping the downloaded file, you will find the following folders:

RADStudioXE4
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE4

1. Copy the ResizeKitPKD18.bpl from the downloaded RADStudioXE4\Product\Win32 folder into the RAD Studio XE4 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE4\Product\Include folder into the RAD Studio XE4 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE4\Product\Win32 folder into the RAD Studio XE4 Lib\win32\release folder. Copy the ResizeKitPKD18.bpl from the downloaded RADStudioXE4\Product\Win64 folder into the RAD Studio XE4 Bin64 folder. Copy the other files from the downloaded RADStudioXE4\Product\Win64 into the RAD Studio XE4 Lib\win64\release folder.
2. Run RAD Studio XE4 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB18.bpl in the RAD Studio XE4 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE4 using Update 1.

ResizeKit2 RAD Studio XE3

Folder Structure

After downloading the ResizeKit2 RAD Studio XE3 and unzipping the downloaded file, you will find the following folders:

RADStudioXE3
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE3

1. Copy the ResizeKitPKD17.bpl from the downloaded RADStudioXE3\Product\Win32 folder into the RAD Studio XE3 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE3\Product\Include folder into the RAD Studio XE3 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE3\Product\Win32 folder into the RAD Studio XE3 Lib\win32\release folder. Copy the ResizeKitPKD17.bpl from the downloaded RADStudioXE3\Product\Win64 folder into the RAD Studio XE3 Bin64 folder. Copy the other files from the downloaded RADStudioXE3\Product\Win64 into the RAD Studio XE3 Lib\win64\release folder.
2. Run RAD Studio XE3 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB17.bpl in the RAD Studio XE3 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE3 using Update 2.

ResizeKit2 RAD Studio XE2

Folder Structure

After downloading the ResizeKit2 RAD Studio XE2 and unzipping the downloaded file, you will find the following folders:

RADStudioXE2
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 RAD Studio XE2

1. Copy the ResizeKitPKD16.bpl from the downloaded RADStudioXE2\Product\Win32 folder into the RAD Studio XE2 Bin folder. Copy the ResizeKit.hpp file from the downloaded RADStudioXE2\Product\Win32 folder into the RAD Studio XE2 Include\windows\vcl folder. Copy the other files from the downloaded RADStudioXE2\Product\Win32 folder into the RAD Studio XE2 Lib\win32\release folder. Copy the ResizeKitPKD16.bpl from the downloaded RADStudioXE2\Product\Win64 folder into the RAD Studio XE2 Bin64 folder. Copy the other files from the downloaded RADStudioXE2\Product\Win64 into the RAD Studio XE2 Lib\win64\release folder.
2. Run RAD Studio XE2 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB16.bpl in the RAD Studio XE2 bin folder and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under RAD Studio XE2 with Update 4 HotFix1. RAD Studio

ResizeKit2 BDS 2006 (Borland Developer Studio 2006)

Folder Structure

After downloading the ResizeKit2 BDS 2006 and unzipping the downloaded file, you will find the following folders:

BDS2006
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the BPI, BPL, DCU, DCP, HPP, and LIB files
|
|----Sample
| Contains the ResizeKit2 sample programs

How to add the ResizeKit2 in the development container

Copy the necessary files from the downloaded folder into the development environment and add the ResizeKit component

For ResizeKit2 BDS2006

1. Copy the ResizeKitPKD10.bpl from the downloaded BDS2006\Product folder into the BDS2006 Bin folder. Copy the ResizeKit.hpp file from the downloaded BDS2006\Product folder into the BDS2006 Include folder. Copy the other files from the downloaded BDS2006\Product folder into the BDS2006 Lib Folder
2. Run Borland Develper Studio 2006 and select the [Component] - [Install Package] menu.
3. In Design Time Packages, click Add, select the ResizeKitPKB10.bpl and click the [Open] button. (If successful, the Runtime package will also be registered.)
4. Select the [OK] button and close the dialog.

Using the ResizeKit control

After completing the installation steps above, you will find the ResizeKit control in the "NTCtrl" tab of the Component Palette

Build Versions

The ResizeKit has been built under BDS2006 with Update 2


SetupActiveX

Setup for ResizeKit2 VB

Installation

After downloading the ResizeKit2, run the RsKit2VBe.exe.
After the ResizeKit2 setup is complete, the following folders will be created under the directory where the ResizeKit2 was installed;

ResizeKit2 Installation Folder
|
|----Help
| Contains the ResizeKit2 Help file
|
|----Product
| Contains the ResizeKit.ocx and ResizeKit.lic
|
|----Sample
| Contains the ResizeKit2 sample programs

Note: When the ResizeKit2 is installed, the control is automatically registered in the Registry. To install it manually, use the REGSVR32 command.

Loading the ResizeKit2 in Visual Basic

1) Open a new project.
2) On the menu bar click Project and select Components. This will open the Components window. Under the Controls tab find ResizeKit ActiveX Control.

3) Check the ResizeKit Control and click OK.
4) The ResizeKit Control will now appear in the VB Toolbox.

5) Simply place the ResizeKit Control on your form along with the other controls you need.


Distributing

Distributing ResizeKit2 Applications

When distributing applications that use the ResizeKit2 be sure to include the appropriate ResizeKit2 files in your deployment.

For ResizeKit2 VB Edition:

ResizeKit.OCX: The ResizeKit.OCX must be registered on the deployment machine.

For ResizeKit2 VCL Editions:

In C++Builder and Delphi, when distributing design package applications that include a ResizeKit VCL component, no additional files are necessary.

When distributing runtime package applications that include a ResizeKit2 VCL component the following files must be included in your distribution list. Note: When using C++Builder XE3, Delphi XE2 / XE3 and above, there are 32 bit and 64 bit bpl files. Please distribute the appropriate bpl.

ResizeKit2 Editions for C++Builder

ResizeKit2 C++Builder 11 Alexandria: ResizeKitPKD28.BPL
ResizeKit2 C++Builder 10.4 Sydney: ResizeKitPKD27.BPL
ResizeKit2 C++Builder 10.3 Rio: ResizeKitPKD26.BPL
ResizeKit2 C++Builder 10.2 Tokyo: ResizeKitPKD25.BPL
ResizeKit2 C++Builder 10.1 Berlin: ResizeKitPKD24.BPL
ResizeKit2 C++Builder 10 Seattle: ResizeKitPKD23.BPL
ResizeKit2 C++BuilderXE8: ResizeKitPKD22.BPL
ResizeKit2 C++BuilderXE7: ResizeKitPKD21.BPL
ResizeKit2 C++BuilderXE6: ResizeKitPKD20.BPL
ResizeKit2 C++BuilderXE5: ResizeKitPKD19.BPL
ResizeKit2 C++BuilderXE4: ResizeKitPKD18.BPL
ResizeKit2 C++BuilderXE3: ResizeKitPKD17.BPL
ResizeKit2 C++BuilderXE2: ResizeKitPKD16.BPL
ResizeKit2 C++BuilderXE: ResizeKitPKD15.BPL
ResizeKit2 C++Builder2010: ResizeKitPKD14.BPL
ResizeKit2 C++Builder2009: ResizeKitPKD12.BPL
ResizeKit2 C++Builder2007: ResizeKitPKD11.BPL
ResizeKit2 C++Builder6: ResizeKitPKB6.BPL
ResizeKit2 C++Builder5: ResizeKitPKB5.BPL

ResizeKit2 Editions for Delphi

ResizeKit2 Delphi 11 Asexandria: ResizeKitPKD28.BPL
ResizeKit2 Delphi 10.4 Sydney: ResizeKitPKD27.BPL
ResizeKit2 Delphi 10.3 Rio: ResizeKitPKD26.BPL
ResizeKit2 Delphi 10.2 Tokyo: ResizeKitPKD25.BPL
ResizeKit2 Delphi 10.1 Berlin: ResizeKitPKD24.BPL
ResizeKit2 Delphi 10 Seattle: ResizeKitPKD23.BPL
ResizeKit2 DelphiXE8: ResizeKitPKD22.BPL
ResizeKit2 DelphiXE7: ResizeKitPKD21.BPL
ResizeKit2 DelphiXE6: ResizeKitPKD20.BPL
ResizeKit2 DelphiXE5: ResizeKitPKD19.BPL
ResizeKit2 DelphiXE4: ResizeKitPKD18.BPL
ResizeKit2 DelphiXE3: ResizeKitPKD17.BPL
ResizeKit2 DelphiXE2: ResizeKitPKD16.BPL
ResizeKit2 DelphiXE: ResizeKitPKD15.BPL
ResizeKit2 Delphi2010: ResizeKitPKD14.BPL
ResizeKit2 Delphi2009: ResizeKitPKD12.BPL
ResizeKit2 Delphi2007: ResizeKitPKD11.BPL
ResizeKit2 Delphi2005: ResizeKitPKD9.BPL
ResizeKit2 Delphi7: ResizeKitPKD7.BPL
ResizeKit2 Delphi6: ResizeKitPKD6.BPL
ResizeKit2 Delphi5: ResizeKitPKD5.BPL

ResizeKit2 Editions for RAD Studio

ResizeKit2 RAD Studio 11 Alexandria: ResizeKitPKD27.BPL
ResizeKit2 RAD Studio 10.4 Sydney: ResizeKitPKD27.BPL
ResizeKit2 RAD Studio 10.3 Rio: ResizeKitPKD26.BPL
ResizeKit2 RAD Studio 10.2 Tokyo: ResizeKitPKD25.BPL
ResizeKit2 RAD Studio 10.1 Berlin: ResizeKitPKD24.BPL
ResizeKit2 RAD Studio 10 Seattle: ResizeKitPKD23.BPL
ResizeKit2 RAD Studio XE8: ResizeKitPKD22.BPL
ResizeKit2 RAD Studio XE7: ResizeKitPKD21.BPL
ResizeKit2 RAD Studio XE6: ResizeKitPKD20.BPL
ResizeKit2 RAD Studio XE5: ResizeKitPKD19.BPL
ResizeKit2 RAD Studio XE4: ResizeKitPKD18.BPL
ResizeKit2 RAD Studio XE3: ResizeKitPKD17.BPL
ResizeKit2 RAD Studio XE2: ResizeKitPKD16.BPL

ResizeKit2 For Borland Developer Studio 2006

ResizeKit2 BDS2006: ResizeKitPKD10.BPL

Note:

Please copy the above files in the same folder as your application or in the standard Windows System folder (Windows\System32 or Windows\SysWOW64) or other valid path.


User Registration and Technical Support

User Registration:

Please be sure to register your ResizeKit. User registration allows you to develop and distribute applications containing the ResizeKit. Registered users may also receive support from our technical staff and also receive discounts on upgrades for the ResizeKit or when purchasing our other products.

To register, please send the following information to register@imagekit.com:

The name of the developer using the ResizeKit2
Your contact information including address and email address
The ResizeKit2 serial number

Technical Support:

Technical support is free to registered users and is available by email or fax only.

We periodically release updates and maintanence releases for the ResizeKit2. Registered users can download these updates from the ResizeKit suppoert section of our web site at:

http://www.imagekit.com

Registered users are provided with a username and password. If you are not yet registered, please send us your name, address, email address and product serial number at the email address given above

To contact us:

Newtone Corporation
Honchou 2-2-15, Shangrila Honchou 1F
Nagaoka City, Niigata Prefecture
940-0076, JAPAN
Telephone: +(81)258-86-6954
Fax: +(81)258-86-6964
Email: rssupport@imagekit.com


License Agreement

ResizeKit2 License Agreement

IMPORTANT- READ CAREFULLY BEFORE INSTALLING THE SOFTWARE.

This License Agreement (this "AGREEMENT") contains the terms and conditions regarding your use of the SOFTWARE (as defined below) and material limitations to your rights in that regard. You should read this AGREEMENT carefully.

By installing the ResizeKit2 software (hereinafter the "SOFTWARE"), you are accepting the following AGREEMENT.

I. THIS AGREEMENT.

1. Software Covered by this AGREEMENT.

This AGREEMENT governs your use of the Newtone Corporation ("Newtone") SOFTWARE enclosed either as part of a SOFTWARE installer or otherwise accompanied herewith. The term "SOFTWARE" includes, to the extent provided by Newtone: 1) any revisions, updates and/or upgrades thereto; 2) any data, image or executable files, databases, data engines, computer software, or similar items customarily used or distributed with computer software products; 3) anything in any form whatsoever intended to be used with or in conjunction with the SOFTWARE; and 4) any associated media, documentation (including physical, electronic and online) and printed materials (the "Documentation").

2. This AGREEMENT is a legal agreement between you and Newtone.

If you are acting as an agent of a company or another legal person, such as an officer or other employee acting for your employer, then "you" and "your" mean your principal, the entity or other legal person for whom you are acting. However, importantly, even if you are acting as an agent for another, you may still be personally liable for violation of laws such as copyright infringement.

This AGREEMENT is a legal agreement between you and Newtone. You intend to be legally bound to this AGREEMENT to the same extent as if Newtone and you physically signed this AGREEMENT. By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms and conditions contained in this AGREEMENT. If you do not agree to all of the terms and conditions contained in this AGREEMENT, you may not install or use the SOFTWARE. If you have already installed or begun to install the SOFTWARE you should cancel any install in progress and uninstall the SOFTWARE. If you do not agree to all of these terms and conditions, then you must promptly return the uninstalled SOFTWARE to the place from which you purchased it in accordance with the return policies of that place.

II. YOUR LICENSE TO DEVELOP AND TO DISTRIBUTE.

Detailed below, this AGREEMENT pertains to these licenses: 1) a license to use the SOFTWARE to develop other software products (the "Developer License"); and 2) a license to use and/or distribute the Developed Software (the "Runtime Distribution License"); All of these licenses (individually and collectively, the "Licenses") are explained and defined in more detail below.

1. Definitions. Terms and their respective meanings as used in this AGREEMENT:

"Developer" means a person using the SOFTWARE in accordance with the terms and conditions of this AGREEMENT.

"Developed Software" means those computer software products that are developed by or through the use of the SOFTWARE. "Redistributable Files" means the SOFTWARE files or other portions of the SOFTWARE that are provided by Newtone and are identified as such in the Documentation for distribution by you with the Developed Software. "Developer" means a person using the SOFTWARE in accordance with the terms and conditions of this AGREEMENT.

"PC" is a computer on which the SOFTWARE is installed.

"seat" is the use of one licensed copy of the SOFTWARE on one PC by one concurrent Developer.

2. Your Developer License.

You are hereby granted a limited, royalty-free, non-exclusive right to use the SOFTWARE to design, develop, and test Developed Software, on the express condition that, and only for so long as, you fully comply with all terms and conditions of this AGREEMENT.

The SOFTWARE is licensed to you on a per Developer License basis.

The Single Developer License means that one Developer may install the SOFTWARE for use in designing, testing and creating Developed Software on one computer with a single set of input devices, restricting the use of the SOFTWARE to a maximum of one user. Conversely, you may not install or use the SOFTWARE on a computer that is a network server or a computer at which the SOFTWARE is used by more than one Developer. You may not network the SOFTWARE or any component part of it, where it is or may be used by more than one Developer unless you purchase an additional Developer License for each Developer. You must purchase another separate license to the SOFTWARE in order to add additional developer seats if the additional developers are accessing the SOFTWARE on a computer network.

In all cases, you may not use Newtone's name, logo, or trademarks to market your Developed Software without the express written consent of Newtone; agree to indemnify, hold harmless, and defend Newtone, its suppliers and resellers, from and against any claims or lawsuits, including lawyer's fees that may arise from the use or distribution of your Developed Software; you may use the SOFTWARE only to create Developed Software that is significantly different than the SOFTWARE.

3. Your Runtime Distribution License.

License to Distribute Developed Software. Subject to the terms and conditions in this AGREEMENT, you are granted the license to use and to distribute Developed Software on a royalty-free basis, provided that the Developed Software incorporates the SOFTWARE as an integral part of the Developed Software in machine language compiled format (customarily an ".exe", or ".dll", etc.). You may not distribute, bundle, wrap or subclass the SOFTWARE as Developed Software which, when used in a "designtime" development environment, exposes the programmatic interface of the SOFTWARE. You may distribute, on a royalty-free basis, Redistributable Files with Developed Software only.

4. License Serial Number.

Upon purchase of the SOFTWARE a unique serial number (the "Serial Number") is provided by Newtone either electronically or via the delivery channel. The Serial number provides a means to Register the SOFTWARE. The Serial Number is subject to the restrictions set forth in this AGREEMENT and may not be disclosed or distributed either with your Developed Software or in any other way. The disclosure or distribution of the Serial Number shall constitute a breach of this AGREEMENT, the effect of which shall be the automatic termination and revocation of all the rights granted herein.

5. Updates/Upgrades.

Subject to the terms and conditions of this AGREEMENT, the Licenses are perpetual. Updates, bug fixes and upgrades to the SOFTWARE may be provided by Newtone at their discretion at timely intervals though Newtone does not commit to providing such updates or upgrades, and, if so provided by Newtone, are provided upon the terms and conditions offered at that time by Newtone.

6. Evaluation, Trial, or Beta Copy.

If you are using an "evaluation copy", a "trial" copy, a "Beta" copy, or similar version of the SOFTWARE, specifically designated as such by Newtone on its website or otherwise, then the Licenses are limited as follows: a) you are granted a license to use the SOFTWARE for a trial period (the "Evaluation Period"); b) upon completion of the Evaluation Period, you shall either i) delete the SOFTWARE from the computer containing the installation, or you may ii) contact Newtone or one of its authorized dealers to purchase a license of the SOFTWARE, which is subject to the terms and limitations contained herein. The "evaluation copy", "trial" copy, "Beta" copy, or similar version of the SOFTWARE is for evaluation purposes only and may not be used to created any Developed Software and if created may not be distributed or used for any purpose including commericial purposes.

III. INTELLECTUAL PROPERTY.

1. Copyright.

You agree that all right, title, and interest in and to the SOFTWARE (including, but not limited to, any images, photographs, code examples and text incorporated into the SOFTWARE), and any copies of the SOFTWARE, and any copyrights and other intellectual properties therein or related thereto are owned exclusively by Newtone, except to the limited extent that Newtone may be the rightful license holder of certain third-party technologies incorporated into the SOFTWARE. The SOFTWARE is protected by copyright laws and international treaty provisions. The SOFTWARE is licensed to you, not sold to you. Newtone reserves all rights not otherwise expressly and specifically granted to you in this AGREEMENT.

2. Backups.

You may make one copy the SOFTWARE solely for backup or archival purposes.

3. General Limitations.

You may not reverse engineer, decompile, or disassemble the SOFTWARE.

4. Software Transfers.

You may not rent or lease the SOFTWARE. You may transfer the SOFTWARE to another computer, provided that it is completely removed from the computer from which it was transferred. You may permanently transfer all of your rights under the AGREEMENT, provided that you obtain expressed written permission from Newtone and that you retain no copies, that you transfer all the SOFTWARE (including all component parts, the media and printed materials, any dates, upgrades, this AGREEMENT and, if applicable, the Certificate of Authenticity), and that the recipient agrees to the terms and conditions of this AGREEMENT as provided herein. Newtone must be notified in writing prior to the license transfers where the company of the recipient is different to that of the original licensee. If the SOFTWARE is an update or upgrade, any transfer must include all prior versions of the SOFTWARE.

5. Termination.

Without prejudice to any other rights it may have, Newtone may terminate this AGREEMENT and the Licenses if you fail to comply with the terms and conditions contained herein. In such an event, you must destroy all copies of the SOFTWARE and all of its component parts.

IV. DISCLAIMER and WARRANTIES

1. Disclaimer

Newtone's entire liability and your exclusive remedy under this AGREEMENT shall be, at Newtone's sole option, either (a) return of the price paid for the SOFTWARE; (b) repair the SOFTWARE through updates distributed online. Newtone cannot and does not guarantee that any functions contained in the Software will meet your requirements, or that its operations will be error free. The entire risk as to the Software performance or quality, or both, is solely with the user and not Newtone. You assume responsibility for the selection of the component to achieve your intended results, and for the installation, use, and results obtained from the SOFTWARE.

2. Warranty.

Newtone makes no warranty, to the maximum extent permitted by law, either implied or expressed, including with-out limitation any warranty with respect to this Software documented here, its quality, performance, or fitness for a particular purpose. In no event shall Newtone be liable to you for damages, whether direct or indirect, incidental, special, or consequential arising out the use of or any defect in the Software, even if Newtone has been advised of the possibility of such damages, or for any claim by any other party. All other warranties of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose, are expressly excluded.

V. MISCELLANEOUS.

1. This is the Entire Agreement.

This AGREEMENT (including any addendum or amendment to this AGREEMENT included with the SOFTWARE) is the final, complete and exclusive statement of the entire agreement between you and Newtone relating to the SOFTWARE. This AGREEMENT supersedes any prior and contemporaneous proposals, purchase orders, advertisements, and all other communications in relation to the subject matter of this AGREEMENT, whether oral or written. No terms or conditions, other than those contained in this AGREEMENT, and no other understanding or agreement which in any way modifies these terms and conditions, shall be binding upon the parties unless entered into in writing executed between the parties, or by other non-oral manner of agreement whereby the parties objectively and definitively act in a manner to be bound (such as by continuing with an installation of the SOFTWARE, "clicking-through" a questionnaire, etc.) Employees, agents and other representatives of Newtone are not permitted to orally modify this AGREEMENT.

2. You Indemnify Newtone.

You agree to indemnify, hold harmless, and defend Newtone and its suppliers and resellers from and against any and all claims or lawsuits, including attorney's fees, that arise or result from this AGREEMENT.

3. Interpretation of this AGREEMENT.

If for any reason a court of competent jurisdiction finds any provision of this AGREEMENT, or any portion thereof, to be unenforceable, that provision of this AGREEMENT will be enforced to the maximum extent permissible so as to effect the intent of the parties, and the remainder of this AGREEMENT will continue in full force and effect. Formatives of defined terms shall have the same meaning of the defined term. Failure by either party to enforce any provision of this AGREEMENT will not be deemed a waiver of future enforcement of that or any other provision. Except as otherwise required or superseded by law, this AGREEMENT is governed by the laws of JAPAN. If the SOFTWARE was acquired outside of JAPAN, then local law may apply.


Control Referenece

Control Reference

When using the ResizeKit to develop applications, place the ResizeKit Control on the form during design and then set the control properties when needed.

The ResizeKit Control

The ResizeKit Control automatically recognizes the size of the controls and fonts on your form and adjusts their size according to changes in the screen resolution or changes in the size of the form.

Most third party controls can be resized using the ResizeKit, however there may be some exceptions. When the height and width properties of controls are isulated from the ResizeKit Control, they cannot automatically be resized. The fonts and cells used by some grid and spread type controls are examples of this. In such cases, simply define the height and width of the control that you want to resize within the ExitResize event.

A Note About Syntax

The types listed in ResizeKit2 Help File may be different from the types used in your development environment.

Listed Type | Visual Basic | C++Builder | Delphi
integer | Integer | short | SmallInt
long | Long | long | LongInt
double | Double | double | Double
string | String | AnsiString/UnicodeString | String
bool | Boolean | bool | Boolean

From C++Builder 2009, type UnicodeString is used, for C++Builder versions prior to C++Builder 2009, use AnsiString

When Using the ResizeKit2 In VCL Environments:

All on forms that contain the ResizeKit control, set the form's properties to the following values:

AutoScroll: False
Scaled: False
Position: poDefaultPosOnly, PoDesigned or poScreenCenter

Property List:

Property Name | Explanation
Enabled | Enables the ResizeKit functionality
FormHeight | Sets the height of the initial display of the form
FormMaxHeight | Sets the maximum height of the form
FormMinHeight | Sets the minimum height of the form
FormWidth | Sets the width of the initial display of the form
FormMaxWidth | Sets the maximum width of the form
FormMinWidth | Sets the minimum width of the form
FormPos | Sets the position of the initial display of the form
NoResizeCtl | Sets the controls that will be excluded from resizing
NoResizeFntCtl | Sets the controls whose fonts will be excluded from resizing
ResizeFont | Sets whether or not the fonts of the controls on the form will be resized
ValidTaskbar | Sets whether or not "The Taskbar" is displayed when the form size is larger than the screen size

Method List:

Method Name | Explanation
DynamicAdd | Used when controls are added to the form dynamically. This method updates the ResizeKit so the dynamically added controls will be included in resizing. (For VCL versions of the ResizeKit only)
DynamicDelete | Used when controls are deleted from the form dynamically. This method updates the ResizeKit so the dynamically deleted controls will no longer be included in resizing. (For VCL versions of the ResizeKit only)

Event List:

Event Name | Explanation
ExitResize | Generated after the form has been resized


Properties and Events

Property List:

Property Name | Explanation
Enabled | Enables the ResizeKit functionality
FormHeight | Sets the height of the initial display of the form
FormMaxHeight | Sets the maximum height of the form
FormMinHeight | Sets the minimum height of the form
FormWidth | Sets the width of the initial display of the form
FormMaxWidth | Sets the maximum width of the form
FormMinWidth | Sets the minimum width of the form
FormPos | Sets the position of the initial display of the form
NoResizeCtl | Sets the controls that will be excluded from resizing
NoResizeFntCtl | Sets the controls whose fonts will be excluded from resizing
ResizeFont | Sets whether or not the fonts of the controls on the form will be resized
ValidTaskbar | Sets whether or not "The Taskbar" is displayed when the form size is larger than the screen size

Method List:

Method Name | Explanation
DynamicAdd | Used when controls are added to the form dynamically. This method updates the ResizeKit so the dynamically added controls will be included in resizing. (For VCL versions of the ResizeKit only)
DynamicDelete | Used when controls are deleted from the form dynamically. This method updates the ResizeKit so the dynamically deleted controls will no longer be included in resizing. (For VCL versions of the ResizeKit only)

Event List:

Event Name | Explanation
ExitResize | Generated after the form has been resized


Enabled

Enabled Property

This property enables the ResizeKit functionality.

[form.]resizecontrolname.Enabled [=bool]

Property Value

True: The ResizeKit functionality is enabled (with default values).

False: The ResizeKit functionality is disabled.

Explanation

The Enabled property enables the ResizeKit functionality. When the Enabled property is False, the resize functions will not work when the size of the form changes.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormHeight

FormHeight Property

This property sets the height of the initial display of the form.

[form.]resizecontrolname.FormHeight [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form height specified)

Explanation

The FormHeight property sets the height of the initial display of the form. This property value is in pixel units.

If either the FormHeight property or the FormWidth property are set to 0, then the form size will be determined by the form size at design time or by the values set within the program code.

Please set this property value to be within the limits specified by the FormMaxHeight, FormMaxWidth, FormMinHeight, and FormMinWidth properties.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormMaxHeight

FormMaxHeight Property

This property sets the maximum height of the form.

[form.]resizecontrolname.FormMaxHeight [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form height specified)

Explanation

The FormMaxHeight property sets the maximum height of the form. This property value is in pixel units.

When the form is resized, the height of the form cannot exceed the value set in this property. If the FormMaxHeight property is set to 0, then no maximum height for the form can be set.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormMinHeight

FormMinHeight Property

This property sets the minimum height of the form.

[form.]resizecontrolname.FormMinHeight [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form height specified)

Explanation

The FormMinHeight property sets the minimum height of the form. This property value is in pixel units.

When the form is reduced, the height of the form cannot be smaller than the value set in this property. If the FormMinHeight property is set to 0, then no minimum height for the form can be set.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormWidth

FormWidth Property

This property sets the width of the initial display of the form.

[form.]resizecontrolname.FormWidth [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form width specified)

Explanation

The FormWidth property sets the width of the initial display of the form. This property value is in pixel units.

If either the FormWidth property or the FormHeight property are set to 0, then the form size will be determined by the form size at design time or by the values set within the program code.

Please set this property value to be within the limits specified by the FormMaxHeight, FormMaxWidth, FormMinHeight, and FormMinWidth properties.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormMaxWidth

FormMaxWidth Property

This property sets the maximum width of the form.

[form.]resizecontrolname.FormMaxWidth [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form width specified)

Explanation

The FormMaxWidth property sets the maximum width of the form. This property value is in pixel units.

When the form is resized, the width of the form cannot exceed the value set in this property. If the FormMaxWidth property is set to 0, then no maximum width for the form can be set.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormMinWidth

FormMinWidth Property

This property sets the minimum width of the form.

[form.]resizecontrolname.FormMinWidth [=long]

Property Value

Positive Integer (Minimum value is 0)

Default value is 0 (No form width specified)

Explanation

The FormMinWidth property sets the minimum width of the form. This property value is in pixel units.

When the form is reduced, the width of the form cannot be smaller than the value set in this property. If the FormMinWidth property is set to 0, then no minimum widht for the form can be set.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


FormPos

FormPos Property

This property sets the position of the initial display of the form.

In ActiveX [form.]resizecontrolname.FormPos [=Integer]
In VCL [form.]resizecontrolname.FormPos [:=TResizeFormPos]

Property Value

Value | Explanation
0 (rpDefault) | Default (The initial or preset position of the form)
1 (rpTopLeft) | Top Left
2 (rpTopCenter) | Top Center
3 (rpTopRight) | Top Right
4 (rpMiddleLeft) | Middle Left
5 (rpMiddleCenter) | Middle Center
6 (rpMiddleRight) | Middle Right
7 (rpBottomLeft) | Bottom Left
8 (rpBottomCenter) | Bottom Center
9 (rpBottomRight) | Bottom Right

Note: In the table above, the numerical values are for ActiveX control notation; the values in parentheses are for VCL notation.

Explanation

The FormPos property sets the position of the initial display of the form. The default value is 0 (rpDefault).

Use numerical values to set the FormPos value in ActiveX. In VCL, use

TResizeFormPos = (rpDefault, rpTopLeft, rpTopCenter, rpTopRight, rpMiddleLeft, rpMiddleCenter, rpMiddleRight, rpBottomLeft, rpBottomCenter, or rpBottomRight);

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


NoResizeCtl

NoResizeCtl Property

This property sets the controls that will be excluded from resizing.

[form.]resizecontrolname.NoResizeCtl [=string]

Property Value

The name of the controls on the form that will be excluded from resizing. To exclude multiple controls from resizing, seperate control names with semicolons.

For example:

ResizeKit1.NoResizeCtl="Command1;File1;List1"

In VisualBasic when arrays of controls are used, it is necessary to set the control index as well as the control name. For example, when the following buttons appear on a form: Command1(0), Command1(1), and Command1(2), setting the

ResizeKit1.NoResizeCtl = "Command1(0);Command1(1)

will exclude only Command1(0) and Command1(1) from resizing but Command1(2) will be resized.

Explanation

The NoResizeCtl property sets the controls that will be excluded from resizing.

When using this property in VCL environments, please be sure to set the ParentFont properties of all specified controls to False.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


NoResizeFntCtl

NoResizeFntCtl Property

This property sets the controls whose fonts will be excluded from resizing.

[form.]resizecontrolname.NoResizeFntCtl [=string]

Property Value

The name of the controls on the form whose fonts will be excluded from resizing. To exclude multiple controls from resizing, seperate control names with semicolons.

For example:

ResizeKit1.NoResizeFntCtl="Command1;File1;List1"

In VisualBasic when arrays of controls are used, it is necessary to set the control index as well as the control name. For example, when the following buttons appear on a form: Command1(0), Command1(1), and Command1(2), setting the

ResizeKit1.NoResizeFntCtl = "Command1(0);Command1(1)

will exclude the fonts for buttons Command1(0) and Command1(1) from resizing but the fonts for the Command1(2) button will be resized.

Explanation

The NoResizeFntCtl property sets the controls whose fonts will be excluded from resizing.

Even if the ResizeFont property is set to True, the fonts for controls specified in the NoResizeFntCtl property will not be resized.

When using this property in VCL environments, please be sure to set the ParentFont properties of all specifed controls to False.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


ResizeFont

ResizeFont Property

This property sets whether or not the fonts of the controls on the form will be resized.

[form.]resizecontrolname.ResizeFont [=bool]

Property Value

True: The fonts of all controls will be resized (Default value)
False: The fonts of all controls will not be resized.

Explanation

The ResizeFont property sets whether or not the fonts of the controls on the form will be resized.

Even if the ResizeFont property is set to True, the fonts of controls whose NoResizeFntCtl property is set will not be resized.

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


ValidTaskbar

ValidTaskbar Property

This property sets whether or not "The Taskbar" is displayed when the form size is larger than the screen size.

[form.]resizecontrolname.ValidTaskbar [=bool]

Property Value

True: The fonts of all controls will be resized (Default value)
False: The fonts of all controls will not be resized.

Explanation

The ValidTaskbar property sets whether or not "The Taskbar" is displayed when the form size is larger than the screen size. ("The Taskbar" refers to the Windows taskbar that appears at the bottom of the screen and includes the "Start" menu.)

Setting Property Value

This property can be set during design and during execution

Retrieving Property Value

This property can be retrieved during execution


DynamicAdd

DynamicAdd Method

This method updates the ResizeKit so the dynamically added controls will be included in resizing.

C++Builder: [form.]resizecontrolname-->DynamicAdd()
Delphi: [form.]resizecontrolname.DynamicAdd

Parameters

None

Return Value

None

Explanation

The DynamicAdd method updates the ResizeKit so the dynamically added controls will be included in resizing. If you have added controls to your form at runtime and the newly added controls are not resized, then please call this method. This method should be called after the controls have been dynamically added to the form. Even without executing this method, most controls dynamically added to the form will be resized by the ResizeKit. However, there are cases where you may need to call this method.

The DynamicAdd method is for use in VCL versions of the ResizeKit only.


DynamicDelete

DynamicDelete Method

This method updates the ResizeKit so the dynamically deleted controls will be removed from resizing.

C++Builder: [form.]resizecontrolname-->DynamicDelete()
Delphi: [form.]resizecontrolname.DynamicDelete

Parameters

None

Return Value

None

Explanation

The DynamicDelete method updates the ResizeKit so the dynamically deleted controls will be removed from resizing. If you have deleted controls from your form at runtime and the remaining controls are not resized correctly, then please call this method. This method should be called after controls have been dynamically deleted from the form. Even without executing this method, most controls dynamically deleted from the form will not affect how the remaining controls are resized by the ResizeKit. However, there are cases where you may need to call this method.

The DynamicDelete method is for use in VCL versions of the ResizeKit only.


ExitResize Event

This event is generated after the form has been resized.

In ActiveX [form.]Sub resizecontrolname_ExitResize(ByVal XScale As Double, ByVal YScale As Double)
In VCL [form.]form.resizecontrolname ExitResize(Sender: TObject; XScale, YScale: Double)

Parameters

XScale: Gives the width of the form after resizing as a factor of the width of the initial display of the form.
(Width of resized form / width of initial display of the form)

YScale: Gives the height of the form after resizing as a factor of the height of the initial display of the form.
(Height of resized form / height of initial display of the form).

Explanation

The ExitResize event is generated after the form has been resized. Using this event, you can customize the resize process to execute code that you want to occur when a form has been resized (i.e. adding code to adjust the fonts within the individual cells of a grid control).

For example, the following VB code displays the values returned by the XScale and YScale parameters in a label:

Private Sub ResizeKit1_ExitResize(ByVal XScale As Double, ByVal YScale As Double)
Dim Msg As String
Msg = "The form's initial display was resized. " & vbCr
Msg = Msg & "Width" & " X " & Left(CStr(XScale), 5) & vbCr
Msg = Msg & "Height" & " X " & Left(CStr(YScale), 5) & vbCr
Label1.Caption = Msg
End Sub